<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Default Parameters</title>
</head>
<body>
<script>
    function userInfo(firstName = "John", lastName = "Doe", age = 18) {
        console.log(firstName + ' ' + lastName + ' ' + age);
    }
    userInfo("Vasya");

    function foo(x, y, z) {
        console.log(x + " " + y + " " + z);
    }
    function bar(...args) {
        console.log(args);
    }

    let arr = [1, 2, 3];
    foo(...arr);
    bar(arr, 4);

</script>
</body>
</html>